
#ifndef _KEYBINPUT_H_
#define _KEYBINPUT_H_

enum _keybinputtype {
	KEYBI_text = 0,
	KEYBI_int,
	KEYBI_float
};

struct __keybinput {
	char text[255];
	short int curpos;
	short int len;
	char changed;
	int type;
	int maxlen;
} typedef _keybinput;

extern void keybinput_new (_keybinput *ki, int type, int maxlen);
extern int keybinput_loop (_keybinput *ki, SDL_Event *event);

#endif
